create database `ps2_mysql`;
use ps2_mysql;

CREATE TABLE `TREE` (
  `TREE_ID` int(11) NOT NULL auto_increment,
  `NODE_N` varchar(100) character set utf8 collate utf8_latvian_ci NOT NULL,
  `NODE_N_LANG1` varchar(100) NULL,
  `ACTUAL_MARK` enum('y','n') NOT NULL default 'y',
  `PARENT_TREE_ID` int(11) default NULL,
  `OUTER_TREE_ID` int(11) NULL,
  `REG_DATE` timestamp NULL,
  `MODIFY_DATE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`TREE_ID`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='Table stores Tree nodes' ;

INSERT INTO `TREE` (`TREE_ID`, `NODE_N`,`NODE_N_LANG1`,`ACTUAL_MARK`,`PARENT_TREE_ID`,`OUTER_TREE_ID`) VALUES (1, 'Top', 'Top', 'y',  null, null);
INSERT INTO `TREE` (`TREE_ID`,`NODE_N`,`NODE_N_LANG1`,`ACTUAL_MARK`,`PARENT_TREE_ID`,`OUTER_TREE_ID`) VALUES ( 2, 'My catalogue', 'My catalogue', 'y',  1, null);
INSERT INTO `TREE` (`TREE_ID`,`NODE_N`,`NODE_N_LANG1`,`ACTUAL_MARK`,`PARENT_TREE_ID`,`OUTER_TREE_ID`) VALUES ( 3, 'Product Group 1', 'Product Group 1', 'y', 2, null);
INSERT INTO `TREE` (`TREE_ID`,`NODE_N`,`NODE_N_LANG1`,`ACTUAL_MARK`,`PARENT_TREE_ID`,`OUTER_TREE_ID`) VALUES ( 4, 'Product Group 2', 'Product Group 2', 'y', 2, null);
INSERT INTO `TREE` (`TREE_ID`,`NODE_N`,`NODE_N_LANG1`,`ACTUAL_MARK`,`PARENT_TREE_ID`,`OUTER_TREE_ID`) VALUES ( 5, 'Akvedukts katalogs', 'Akvedukts katalogs', 'y', 1, null);
        

CREATE TABLE `PRODUCT` (
  `PRODUCT_ID` int(11) NOT NULL auto_increment,
  `PRODUCT_N` varchar(100) NOT NULL,
  `FOTO_FILE` varchar(200) default NULL,
  `ACTUAL_MARK` enum('y','n') NOT NULL default 'y',
  `INIT_PRICE` decimal(10,4) NOT NULL default '0.0000',
  `QTY_WRH` double NOT NULL default '0',
  `ACTUAL_IF_QTY_0` enum('y','n') NOT NULL default 'y',
  `PRODUCT_N_LANG1` varchar(100) default NULL,
  `CODE` varchar(60) NOT NULL,
  `NOTES` blob,
  `OUTER_PRODUCT_ID` int(11) default NULL,
  `CATALOG_CLASS_STR` varchar(200) default NULL,
  `REG_DATE` timestamp NULL ,
  `MODIFY_DATE` timestamp NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`PRODUCT_ID`),
  UNIQUE KEY `CODE` (`CODE`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
        
CREATE TABLE `PRODUCT_TREE` (
  `PRODUCT_TREE_ID` int(11) NOT NULL auto_increment,
  `PRODUCT_ID` int(11) NOT NULL,
  `TREE_ID` int(11) NOT NULL,
  PRIMARY KEY  (`PRODUCT_TREE_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
        